## org.apache.tomcat.util.net
Interface SSLSupport

public interface SSLSupport

Nested Class Summary
`static class` `SSLSupport.CipherData` Simple data class that represents the cipher being used, along with the corresponding effective key size.

Field Summary
`static java.lang.String` `CERTIFICATE_KEY` The Request attribute key for the client certificate chain.
`static java.lang.String` `CIPHER_SUITE_KEY` The Request attribute key for the cipher suite.
`static SSLSupport.CipherData[]` `ciphers` A mapping table to determine the number of effective bits in the key when using a cipher suite containing the specified cipher name.
`static java.lang.String` `KEY_SIZE_KEY` The Request attribute key for the key size.
`static java.lang.String` `SESSION_ID_KEY` The Request attribute key for the session id.

Method Summary
`java.lang.String` `getCipherSuite()` The cipher suite being used on this connection.
`java.lang.Integer` `getKeySize()` Get the keysize.
`java.lang.Object[]` `getPeerCertificateChain()` The client certificate chain (if any).
`java.lang.Object[]` `getPeerCertificateChain(boolean force)` The client certificate chain (if any).
`java.lang.String` `getSessionId()` The current session Id.

Field Detail

### CIPHER_SUITE_KEY

    public static final java.lang.String CIPHER_SUITE_KEY

  The Request attribute key for the cipher suite.

  See Also:
    Constant Field Values

### KEY_SIZE_KEY

    public static final java.lang.String KEY_SIZE_KEY

  The Request attribute key for the key size.

  See Also:
    Constant Field Values

### CERTIFICATE_KEY

    public static final java.lang.String CERTIFICATE_KEY

  The Request attribute key for the client certificate chain.

  See Also:
    Constant Field Values

### SESSION_ID_KEY

    public static final java.lang.String SESSION_ID_KEY

  The Request attribute key for the session id. This one is a Tomcat extension to the Servlet spec.

  See Also:
    Constant Field Values

### ciphers

    public static final SSLSupport.CipherData[] ciphers

  A mapping table to determine the number of effective bits in the key when using a cipher suite containing the specified cipher name. The underlying data came from the TLS Specification (RFC 2246), Appendix C.

Method Detail

### getCipherSuite

    public java.lang.String getCipherSuite()
                                    throws java.io.IOException

  The cipher suite being used on this connection.

  Throws:
    `java.io.IOException`

### getPeerCertificateChain

    public java.lang.Object[] getPeerCertificateChain()
                                               throws java.io.IOException

  The client certificate chain (if any).

  Throws:
    `java.io.IOException`

### getPeerCertificateChain

    public java.lang.Object[] getPeerCertificateChain(boolean force)
                                               throws java.io.IOException

  The client certificate chain (if any).

  Parameters:
    `force` - If `true`, then re-negotiate the connection if necessary.
  Throws:
    `java.io.IOException`

### getKeySize

    public java.lang.Integer getKeySize()
                                 throws java.io.IOException

  Get the keysize. What we're supposed to put here is ill-defined by the Servlet spec (S 4.7 again). There are at least 4 potential values that might go here: (a) The size of the encryption key (b) The size of the MAC key (c) The size of the key-exchange key (d) The size of the signature key used by the server Unfortunately, all of these values are nonsensical.

  Throws:
    `java.io.IOException`

### getSessionId

    public java.lang.String getSessionId()
                                  throws java.io.IOException

  The current session Id.

  Throws:
    `java.io.IOException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.